Update Return Policy
1 min
PUT
https://api.upstartcommerce.com/v1/return-policy/{returnPolicyId}
returnPolicyIdstring<uuid>Unique identifier of a return policy.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject<p>The update request must fit the following format:</p>
202<p>Accepted-the request to update return policy has been accepted, it will be updated eventually.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/return-policy/{returnPolicyId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"siteIds": [],
"name": "",
"groups": [
{
"name": "",
"triggerGroup": {
"type": "",
"id": ""
},
"qualifyingGroup": {
"type": "",
"id": ""
}
}
],
"unqualifiedTemplate": "",
"triggeredTemplate": ""
}'